Bienvenue sur le forum !

Si vous souhaitez rejoindre la communauté, cliquez sur l'un de ces boutons !

Qt 5 : 5.9.1 - Qt Creator : 4.4.0 - Qt Installer : 2.0.3 - JOM : 1.1.2 - Qt Build suite : 1.7.0 - VS Qt 5 : 2.0.0

Versions de Qt compatibles Windows XP

Salut à tous,

J'ai une version de Windows XP SP3.
Quelle version récente de Qt pourrais-je utiliser dans une VM VirtualBox ?
Quelle est la procédure à suivre ?

Qt 5.6 + compilo C++11 serait parfait.
Possible ?

Réponses

  • Salut,
    sans trop m'avancer, Qt 5.6 est ok mais pour le compilo c++11 c'est moins gagné.
    Si tu n'as pas vraiment besoin de compiler sur la machine XP, peut-être peux-tu compiler avec un compilo plus moderne sur une autre machine avec XP en "target".
    Sous visual studio, je peux le faire avec la version 2015 (cf. l'image)
    jpg
    jpg
    msvc.jpg
    52K
  • Salut babaOroms,
    Si tu n'as pas vraiment besoin de compiler sur la machine XP
    Compiler sur XP ne marche pas si j'en crois cette Page
    Windows XP (32-bit) Deployment only
    Faire de la cross compilation, utiliser Wine ?
    J'ai vu quelques forums sur le sujet, ça semble bien le bazar quand même ...
  • 12 Sep modifié
    Salut,

    je me demande ce qu'il doit manquer à XP pour ne pas compiler Qt5.6 car msvc2010 s'installe sur cet OS.
    Pour la cross-compilation, avec ms build tools tu peux changer le toolset : https://msdn.microsoft.com/en-us/library/ff660764(v=vs.100).aspx
    ou utiliser visual studio comme dans ma capture.
  • Je vais voir ça, si j'arrive à quelque chose, j'en rendrai compte ici.
Connectez-vous ou Inscrivez-vous pour répondre.